<?php
/**
 * @Copyright (c) 2019  XIGU Inc. All rights reserved.
 * @Link https://www.vlcms.com
 * @License江苏溪谷网络科技有限公司版权所有
 */

namespace app\admin\controller;

use app\common\logic\Upload as lUpload;

class Upload extends Base
{


    /**
     * @文件上传
     *
     * @return \think\response\Json
     *
     * @author: zsl
     * @since: 2019/5/15 14:25
     */
    public function oneImgUpload()
    {
        if (request() -> isPost()) {
            $lUpload = new lUpload();
            return json($lUpload -> oneImgUpload());
        }
    }


    /**
     * @批量绑定渠道模板上传
     *
     * @author: zsl
     * @since: 2019/6/17 16:53
     */
    public function uploadChannelTpl()
    {
        if (request() -> isPost()) {
            $lUpload = new lUpload();
            return json($lUpload -> uploadChannelTpl());
        }
    }


}